<div class="wrapper">
  <div class="container" *ngIf="isInit" fxLayoutAlign="space-between center">
    <div class="left-column" fxLayoutAlign="center center">
      <h2 class="dashboard-title" translate>{{title}}</h2>
      <span class="update-period" translate>
        thingplus.page.entire-view.update-cycle
      </span>
    </div>

    <div class="right-column" fxLayoutAlign="center center" fxLayoutGap="1em">
      <span
        class="updated-at"
        fxLayoutAlign="center center"
        fxLayoutGap="0.5em"
      >
        <i class="material-icons">access_time</i>
        <time>{{timestamp}}</time>
      </span>

      <mat-select
        class="entity-selector"
        [ngModel]="selectedCustomerL2"
        (ngModelChange)="handleChangeEntitySelect($event)"
      >
        <mat-option
          *ngFor="let customerL2 of customerL2List"
          [value]="customerL2.id.id"
          >{{customerL2.name | translate}}</mat-option
        >
      </mat-select>

      <button
        class="refresh-button"
        fxLayoutAlign="center center"
        (click)="handleClickRefreshButton()"
      >
        <i class="material-icons">refresh</i>
      </button>
    </div>
  </div>

  <div class="spinner" *ngIf="!isInit" fxLayoutAlign="center center">
    <svg class="circular track" viewBox="0 0 100 100">
      <circle class="circle" cx="50" cy="50" r="30" />
    </svg>

    <svg class="circular tracker" viewBox="0 0 100 100">
      <circle class="circle" cx="50" cy="50" r="30" stroke-dasharray="24 190" />
    </svg>
  </div>
</div>
